Skip to content

Intercom API (2.10)

The intercom API reference.

Download OpenAPI description
Languages
Servers
The production API server
https://api.intercom.io/
The european API server
https://api.eu.intercom.io/
The australian API server
https://api.au.intercom.io/

Admins

Everything about your Admins

SchemasOperations

Articles

Everything about your Articles

SchemasOperations

Companies

Everything about your Companies

SchemasOperations

Contacts

Everything about your contacts

SchemasOperations

Conversations

Everything about your Conversations

SchemasOperations

List all conversations

Request

You can fetch a list of all conversations.

You can optionally request the result page size and the cursor to start after to fetch the result.

Pagination

You can use pagination to limit the number of results returned. The default is 20 results per page. See the pagination section for more details on how to use the starting_after param.

Security
bearerAuth
Query
per_pageinteger<= 150

How many results per page

Default 20
starting_afterstring

String used to get the next page of conversations.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
curl -i -X GET \
  'https://api.intercom.io/conversations?per_page=20&starting_after=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.10'

Responses

successful

Bodyapplication/json
typestring

Always conversation.list

Value"conversation.list"
Example: "conversation.list"
conversationsArray of objects(Conversation List Item)

The list of conversation objects

total_countinteger

A count of the total number of objects.

Example: 12345
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
application/json
{ "type": "conversation.list", "pages": { "type": "pages", "page": 1, "per_page": 20, "total_pages": 1 }, "total_count": 1, "conversations": [ {} ] }

Creates a conversation

Request

You can create a conversation that has been initiated by a contact (ie. user or lead).

Sending for visitors

You can also send a message from a visitor by specifying their user_id or id value in the from field, along with a type field value of contact. This visitor will be automatically converted to a contact with a lead role once the conversation is created.

This will return the Message model that has been created.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
fromobjectrequired
from.​typestringrequired

The role associated to the contact - user or lead.

Enum"lead""user""contact"
Example: "user"
from.​idstring(uuid)= 24 charactersrequired

The identifier for the contact which is given by Intercom.

Example: "536e564f316c83104c000020"
bodystringrequired

The content of the message. HTML is not supported.

Example: "Hello"
message_typestring

The kind of message being created. Values: inapp (in-app messaging), email, sms, whatsapp, or facebook.

Enum"inapp""email""sms""whatsapp""facebook"
Example: "inapp"
curl -i -X POST \
  https://api.intercom.io/conversations \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "from": {
      "type": "user",
      "id": "6657ac8a6abd0166b52ae266"
    },
    "body": "Hello there"
  }'

Responses

conversation created

Bodyapplication/json
typestringrequired

The type of the message

Example: "user_message"
idstringrequired

The id representing the message.

Example: "1488971108"
created_atinteger(date-time)required

The time the conversation was created.

Example: 1667560812
subjectstring

The subject of the message. Only present if message_type: email.

Example: "Greetings"
bodystringrequired

The message body, which may contain HTML.

Example: "Hello"
message_typestringrequired

The type of message that was sent. Can be email, inapp, facebook or twitter.

Enum"email""inapp""facebook""twitter"
Example: "inapp"
conversation_idstring

The associated conversation_id

Example: "64619700005570"
Response
application/json
{ "type": "user_message", "id": "403918318", "created_at": 1717021835, "body": "Hello there", "message_type": "inapp", "conversation_id": "483" }

Retrieve a conversation

Request

You can fetch the details of a single conversation.

This will return a single Conversation model with all its conversation parts.

Hard limit of 500 parts

The maximum number of conversation parts that can be returned via the API is 500. If you have more than that we will return the 500 most recent conversation parts.

For AI agent conversation metadata, please note that you need to have the agent enabled in your workspace, which is a paid feature.

Security
bearerAuth
Path
idintegerrequired

The id of the conversation to target

Example: 123
Query
display_asstring

Set to plaintext to retrieve conversation messages in plain text.

Example: display_as=plaintext
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
curl -i -X GET \
  'https://api.intercom.io/conversations/123?display_as=plaintext' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.10'

Responses

conversation found

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "487", "created_at": 1717021841, "updated_at": 1717021841, "waiting_since": null, "snoozed_until": null, "source": { "type": "conversation", "id": "403918322", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": null, "admin_assignee_id": null, "team_assignee_id": null, "open": false, "state": "closed", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 0 } }

Data Attributes

Everything about your Data Attributes

SchemasOperations

Data Events

Everything about your Data Events

SchemasOperations

Data Export

Everything about your Data Exports

SchemasOperations

Help Center

Everything about your Help Center

SchemasOperations

Messages

Everything about your messages

SchemasOperations

News

Everything about your News

SchemasOperations

Notes

Everything about your Notes

SchemasOperations

Segments

Everything about your Segments

SchemasOperations

Subscription Types

Everything about subscription types

SchemasOperations

Switch

Everything about Switch

Operations

Tags

Everything about tags

SchemasOperations

Teams

Everything about your Teams

SchemasOperations

Ticket Type Attributes

Everything about your ticket type attributes

Operations

Ticket Types

Everything about your ticket types

Operations

Tickets

Everything about your tickets

SchemasOperations

Visitors

Everything about your Visitors

Operations

Models

Schemas